package at.jku.ssw.psw2.demos.db;

import java.sql.SQLException;

/**
 * Main class to demonstrate the {@link PersonDBManager} implementation. 
 * 
 * @author hp
 */
public class PersonDBDemoMain {
	
	/**
	 * Main method creating a {@link PersonDBManager} instance and accessing the <em>persondb</em> database. 
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		
		PersonDBManager m = null; 
		try {

			m = PersonDBManager.getInstance(); 
			
			m.deleteAll();
			
			Person p = m.insertPerson("Marcel", Sex.Male); 
			System.out.println(p.toString());
			p = m.insertPerson("Anna", Sex.Female); 
			System.out.println(p.toString());
			p = m.insertPerson("Thomas", Sex.Male); 
			System.out.println(p.toString());
			p = m.insertPerson("Birgit", Sex.Male); 
			System.out.println(p.toString());
			
			p = m.updatePerons(p.getId(), p.getName(), Sex.Female); 
			System.out.println(p.toString());
			
			System.out.println(); 
			Person[] ps = m.getPersons(); 
			for (Person x: ps) {
				System.out.println(x.toString()); 
			}

		} catch (SQLException e) {
			e.printStackTrace();
		} finally {
			try {
				m.close();
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}

}
